FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian User

 
 
LinkBack Thread Tools
 
Old 07-10-2008, 01:34 AM
T o n g
 
Default How to add printer in cups 1.3

On Wed, 09 Jul 2008 15:37:10 -0400, Hubert Chathi wrote:

> cupsys-* has been renamed to cups-*. No need to panic.

Thanks.

I've just upgrade all my cupsys-* to cups-*. They are all the latest
versions in lenny. However, I can't find the "Add Printer" button any more
on its web page (http://localhost:631/admin). Here is the screen shot:
http://s4. tinypic .com/n68fmo.jpg (without space)

That's different from what I used to see and the online doc too.

Failing this route, I installed foomatic-gui and added my printer there.
Here is the screen shot:
http://i37. tinypic .com/2d9y07o.jpg (without space)

However, the cups web page, http://localhost:631/admin , still doesn't
show the printer. Moreover, command line printing tools show no printer
either:

$ lpc status; lpq -a
no entries


So, how should I add my printer?

Thanks

PS.

% pconf_detect -m USB -i 0
device=;vendor=EPSON;model=Stylus CX1500


--
Tong (remove underscore(s) to reply)
http://xpt.sourceforge.net/techdocs/
http://xpt.sourceforge.net/tools/


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 07-10-2008, 01:46 AM
T o n g
 
Default How to add printer in cups 1.3

On Thu, 10 Jul 2008 01:34:10 +0000, T o n g wrote:

> % pconf_detect -m USB -i 0
> device=;vendor=EPSON;model=Stylus CX1500

Forgot to mention, here are all the packages that I installed/upgraded:

cups cups-bsd cups-client cups-common cups-driver-gutenprint cups-pdf
foomatic-db-engine foomatic-db-gutenprint foomatic-filters gs-esp

Thanks

--
Tong (remove underscore(s) to reply)
http://xpt.sourceforge.net/techdocs/
http://xpt.sourceforge.net/tools/


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 07-10-2008, 05:15 AM
T o n g
 
Default How to add printer in cups 1.3

On Thu, 10 Jul 2008 01:34:10 +0000, T o n g wrote:

> I've just upgrade all my cupsys-* to cups-*. They are all the latest
> versions in lenny. However, I can't find the "Add Printer" button any more
> on its web page (http://localhost:631/admin). Here is the screen shot:
> http://s4. tinypic .com/n68fmo.jpg (without space)
>
> That's different from what I used to see and the online doc too.

I've now upgraded all my cups-* packages to unstable [1], but what I get is
still exactly the same as aforementioned.

- Is your cups web interface the same as my screen shot?
- Are you able to add printers?

thanks

[1]:
$ apt-cache policy cups cups-bsd cups-client cups-common cups-driver-gutenprint cups-pdf
cups:
Installed: 1.3.7-8
Candidate: 1.3.7-8
Version table:
*** 1.3.7-8 0
50 http://gulus.usherbrooke.ca unstable/main Packages
100 /var/lib/dpkg/status
1.3.7-7 0
600 http://gulus.usherbrooke.ca lenny/main Packages
cups-bsd:
Installed: 1.3.7-8
Candidate: 1.3.7-8
Version table:
*** 1.3.7-8 0
50 http://gulus.usherbrooke.ca unstable/main Packages
100 /var/lib/dpkg/status
1.3.7-7 0
600 http://gulus.usherbrooke.ca lenny/main Packages
cups-client:
Installed: 1.3.7-8
Candidate: 1.3.7-8
Version table:
*** 1.3.7-8 0
50 http://gulus.usherbrooke.ca unstable/main Packages
100 /var/lib/dpkg/status
1.3.7-7 0
600 http://gulus.usherbrooke.ca lenny/main Packages
cups-common:
Installed: 1.3.7-8
Candidate: 1.3.7-8
Version table:
*** 1.3.7-8 0
50 http://gulus.usherbrooke.ca unstable/main Packages
100 /var/lib/dpkg/status
1.3.7-7 0
600 http://gulus.usherbrooke.ca lenny/main Packages
cups-driver-gutenprint:
Installed: 5.0.2-3
Candidate: 5.0.2-3
Version table:
*** 5.0.2-3 0
50 http://gulus.usherbrooke.ca unstable/main Packages
100 /var/lib/dpkg/status
cups-pdf:
Installed: 2.4.8-2
Candidate: 2.4.8-2
Version table:
*** 2.4.8-2 0
600 http://gulus.usherbrooke.ca lenny/main Packages
50 http://gulus.usherbrooke.ca unstable/main Packages
100 /var/lib/dpkg/status

--
Tong (remove underscore(s) to reply)
http://xpt.sourceforge.net/techdocs/
http://xpt.sourceforge.net/tools/


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 07-10-2008, 08:15 PM
Florian Kulzer
 
Default How to add printer in cups 1.3

On Thu, Jul 10, 2008 at 05:15:13 +0000, T o n g wrote:
> On Thu, 10 Jul 2008 01:34:10 +0000, T o n g wrote:
>
> > I've just upgrade all my cupsys-* to cups-*. They are all the latest
> > versions in lenny. However, I can't find the "Add Printer" button any more
> > on its web page (http://localhost:631/admin). Here is the screen shot:
> > http://s4. tinypic .com/n68fmo.jpg (without space)
> >
> > That's different from what I used to see and the online doc too.
>
> I've now upgraded all my cups-* packages to unstable [1], but what I get is
> still exactly the same as aforementioned.
>
> - Is your cups web interface the same as my screen shot?

I have more buttons: "Add Printer", "Find New Printers", and "Add
Class". Also, under "Server" on the right hand side I have buttons to
edit the configuration file and to view various log files. I run an
up-to-date Sid/amd64 system.

> - Are you able to add printers?

Yes, I am.

> thanks

[...]

Let's compare the versions of all cups and cupsys packages (your output
did not include the lib* packages):

$ dpkg -l "*cups*" | awk '/^ii/{print $2,$3}'
cups 1.3.7-8
cups-bsd 1.3.7-8
cups-client 1.3.7-8
cups-common 1.3.7-8
cups-driver-gutenprint 5.0.2-3
cups-pdf 2.4.8-2
cupsddk 1.2.3-3
cupsddk-drivers 1.2.3-3
cupsys 1.3.7-8
libcups2 1.3.7-8
libcupsimage2 1.3.7-8
libcupsys2 1.3.7-8
libgnomecups1.0-1 0.2.3-2

Did you try to change the LogLevel to "debug" in /etc/cups/cupsd.conf
and restart cups? This should give you more information in the log files
(/var/log/cups/*) when you try to connect to the web interface again.

What are your access restriction settings in cupsd.conf? Here are mine
(I did not change the defaults):

$ awk '/<Loc/,/</Loc/' /etc/cups/cupsd.conf
<Location />
Order allow,deny
</Location>
<Location /admin>
Order allow,deny
</Location>
<Location /admin/conf>
AuthType Default
Require user @SYSTEM
Order allow,deny
</Location>

Are you still a member of the lpadmin group (or whichever group is
specified as the SystemGroup in cupsd.conf)?

Is your printer detected when you run "/usr/lib/cups/backend/usb"?

--
Regards, | http://users.icfo.es/Florian.Kulzer
Florian |


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 07-11-2008, 03:18 PM
T o n g
 
Default How to add printer in cups 1.3

Thanks a lot for the answer Florian!

On Thu, 10 Jul 2008 22:15:55 +0200, Florian Kulzer wrote:

>> - Is your cups web interface the same as my screen shot?
>
> I have more buttons: "Add Printer", "Find New Printers", and "Add
> Class". Also, under "Server" on the right hand side I have buttons to
> edit the configuration file and to view various log files. I run an
> up-to-date Sid/amd64 system.

Thanks, got that one fixed. On trying to find the answer myself I find one
post states that the browser is blocking the icons. So I 'gksu firefox' as
another user and I can see all the icons.

>> - Are you able to add printers?
>
> Yes, I am.

Now the problem is that I can't see any gutenprint driver from the cups
web page. What's the minimum set of package do I need to install so as to
use cups+gutenprint?

FYI, I listed my installed packages at
http://www.cups.org/newsgroups.php?s16580+gcups.general+v16586+T0
the set works before even without foomatic-gui, but not now.

>> > I've just upgrade all my cupsys-* to cups-*. They
> are all the latest
>> > versions in lenny. However, I can't find the "Add Printer" button any
>> > more on its web page (http://localhost:631/admin). Here is the screen
>> > shot: http://s4. tinypic .com/n68fmo.jpg (without space)
>> >
>> > That's different from what I used to see and the online doc too.

My Debian Lenny based. I think I'd wait for a while to try again, because
I saw at least another report that web interface don't work.
Debian Bug report logs - #489892 cups: browsing does not work
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=489892

>> I've now upgraded all my cups-* packages to unstable [1], but what I
>> get is still exactly the same as aforementioned.

And using the latest packages from unstable is not good idea for cups
currently too, because
http://release.debian.org/migration/testing.pl?package=cups
"cups is not yet built on mipsel: 1.3.7-7 vs 1.3.7-8 (missing 8 binaries)"

Thanks all the same for the answer. Please tell me the minimum set of
package for cups+gutenprint.

Thanks

--
Tong (remove underscore(s) to reply)
http://xpt.sourceforge.net/techdocs/
http://xpt.sourceforge.net/tools/


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 07-11-2008, 03:52 PM
T o n g
 
Default How to add printer in cups 1.3

On Fri, 11 Jul 2008 15:18:46 +0000, T o n g wrote:

>>> > versions in lenny. However, I can't find the "Add Printer" button any
>>> > more on its web page (http://localhost:631/admin). Here is the screen
>>> > shot: http://s4. tinypic .com/n68fmo.jpg (without space)
>>> >
>>> > That's different from what I used to see and the online doc too.
>
> My Debian Lenny based. I think I'd wait for a while to try again, because
> I saw at least another report that web interface don't work.
> Debian Bug report logs - #489892 cups: browsing does not work
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=489892

I was able to install cups-driver-gutenprint in Lenny days ago, but now
cups-driver-gutenprint is missing from Lenny:

http://packages.debian.org/search?suite=lenny&keywords=cups-driver-gutenprint

You have searched for packages that names contain cups-driver-gutenprint
in suite(s) lenny, all sections, and all architectures.

Sorry, your search gave no results

--
Tong (remove underscore(s) to reply)
http://xpt.sourceforge.net/techdocs/
http://xpt.sourceforge.net/tools/


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 07-11-2008, 03:54 PM
T o n g
 
Default How to add printer in cups 1.3

On Thu, 10 Jul 2008 22:15:55 +0200, Florian Kulzer wrote:

> $ dpkg -l "*cups*" | awk '/^ii/{print $2,$3}'
> cups 1.3.7-8
> cups-bsd 1.3.7-8
> cups-client 1.3.7-8
> cups-common 1.3.7-8
> cups-driver-gutenprint 5.0.2-3
> cups-pdf 2.4.8-2
> cupsddk 1.2.3-3
> cupsddk-drivers 1.2.3-3
> cupsys 1.3.7-8

Hi Florian, just want to point out that cups 1.3.7-8 and cupsys 1.3.7-8
are the same, you might want to remove "cupsys".

thanks

--
Tong (remove underscore(s) to reply)
http://xpt.sourceforge.net/techdocs/
http://xpt.sourceforge.net/tools/


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 07-11-2008, 05:20 PM
Florian Kulzer
 
Default How to add printer in cups 1.3

On Fri, Jul 11, 2008 at 15:54:25 +0000, T o n g wrote:
> On Thu, 10 Jul 2008 22:15:55 +0200, Florian Kulzer wrote:
>
> > $ dpkg -l "*cups*" | awk '/^ii/{print $2,$3}'
> > cups 1.3.7-8
> > cups-bsd 1.3.7-8
> > cups-client 1.3.7-8
> > cups-common 1.3.7-8
> > cups-driver-gutenprint 5.0.2-3
> > cups-pdf 2.4.8-2
> > cupsddk 1.2.3-3
> > cupsddk-drivers 1.2.3-3
> > cupsys 1.3.7-8
>
> Hi Florian, just want to point out that cups 1.3.7-8 and cupsys 1.3.7-8
> are the same, you might want to remove "cupsys".

I have been keeping the cupsys and libcupsys2 dummy packages on my
system until now because removing them would break a couple packages. At
least, that is what aptitude tells me. This is definitely suspicious,
but so far it has not bothered me enough to warrant looking into it any
further.

--
Regards, | http://users.icfo.es/Florian.Kulzer
Florian |


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 07-11-2008, 07:29 PM
Florian Kulzer
 
Default How to add printer in cups 1.3

On Fri, Jul 11, 2008 at 15:18:46 +0000, T o n g wrote:

[...]

> Now the problem is that I can't see any gutenprint driver from the cups
> web page. What's the minimum set of package do I need to install so as to
> use cups+gutenprint?
>
> FYI, I listed my installed packages at
> http://www.cups.org/newsgroups.php?s16580+gcups.general+v16586+T0
> the set works before even without foomatic-gui, but not now.

It seems that libgutenprint2 is missing.

[...]

> And using the latest packages from unstable is not good idea for cups
> currently too, because
> http://release.debian.org/migration/testing.pl?package=cups
> "cups is not yet built on mipsel: 1.3.7-7 vs 1.3.7-8 (missing 8 binaries)"

This blocks the transition of these packages to Lenny, but why would it
bother you if you are not on mipsel?

> Thanks all the same for the answer. Please tell me the minimum set of
> package for cups+gutenprint.

I am not sure if this is the minimum set, but here is what currently works for
me:

$ dpkg -l "*cups*" "*gutenprint*" | awk '/^ii/{print $2,$3}'
cups 1.3.7-8
cups-bsd 1.3.7-8
cups-client 1.3.7-8
cups-common 1.3.7-8
cups-driver-gutenprint 5.0.2-3
cups-pdf 2.4.8-2
cupsddk 1.2.3-3
cupsddk-drivers 1.2.3-3
cupsys 1.3.7-8
foomatic-db-gutenprint 5.0.2-3
gimp-gutenprint 5.0.2-3
ijsgutenprint 5.0.2-3
libcups2 1.3.7-8
libcupsimage2 1.3.7-8
libcupsys2 1.3.7-8
libgnomecups1.0-1 0.2.3-2
libgutenprint2 5.0.2-3
libgutenprintui2-1 5.0.2-3

--
Regards, | http://users.icfo.es/Florian.Kulzer
Florian |


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 

Thread Tools




All times are GMT. The time now is 07:52 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org